def absolute_import(name):
    components = name.split('.')
    module = __import__(components[0])
    for component in components[1:]:
        module = getattr(module, component)
    return module


class Worker:
    def __init__(self, config):
        """
        type driver: str
        """
        self.id = config['id']
        driver_klass = absolute_import(config['driver'])
        self.driver = driver_klass(config)

    def run(self):
        self.driver.run()

    def start_test(self):
        self.driver.start_test()

    def stop_test(self):
        self.driver.stop_test()

    def status(self):
        self.driver.status()

    def collect_results(self):
        self.driver.collect_results()
